Validates a batch of phone numbers. When async is true, returns a request_id to poll for results instead of the validation details.
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Phone numbers to validate and validation options.
List of phone numbers to get detailed information about. Maximum 1000 numbers per request.
1000["971501390098", "971504359195"]Depth of validation to perform on the phone number. One of format (checks number syntax only), analysis (returns number metadata such as type and country), or validation (performs a live network lookup of the number's current status).
format, analysis, validation Indicates whether the request should be executed asynchronously. If true, the response will include a request_uuid that can be used to poll for results. If false (default), the response will include validation results directly.
true
Indicates whether to force a fresh validation instead of returning a previously cached result. Defaults to false.
true
Returns the validation results, or a request_id when validation is asynchronous.
Validation request status.
"success"
Number of validations still in progress.
0
Total number of phone numbers in the request.
1000
List of validation results for each phone number.